%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Python library for configuring and running X.
Name: rhpxl
Version: 0.41.1
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: python-devel, gettext, libXrandr-devel, libX11-devel
ExcludeArch: s390 s390x
Requires: python, rhpl, kudzu >= 1.2.0, newt, hwdata >= 0.169
Requires: pyxf86config >= 0.3.31
Requires: xorg-x11-server-Xorg >= 1.0.1-6
Conflicts: libXfont < 0.99.2-2

%description
The rhpxl (pronounced 'rapunzel') package contains a Python library for
configuring and running X.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING
%dir %{python_sitearch}/rhpxl
%{python_sitearch}/rhpxl
%{_sbindir}/ddcprobe

%changelog
* Tue May 29 2007 Chris Lumens <clumens@redhat.com> 0.41.1-1
- Add support for writing out a config file section for the IBM Advanced
  System Management PCI adapter card (#227407).

* Wed Nov 29 2006 Chris Lumens <clumens@redhat.com> 0.41-1
- Trust kudzu to give us the right video driver instead of using
  readDrivers to trim the list of what's available (#211977).

* Mon Nov 6 2006 Adam Jackson <ajackson@redhat.com> 0.40-1
- Allow for very large resolutions.  (#212695)

* Fri Oct 13 2006 Bill Nottingham <notting@redhat.com> 0.39-1
- Use a valid charset in po files (#210720)

* Thu Oct 12 2006 Adam Jackson <ajackson@redhat.com> 0.38-1
- Fall back to fbdev (not vesa) on ppc{,64}.  (#197992)

* Thu Oct 05 2006 Chris Lumens <clumens@redhat.com> 0.37-1
- Reset X driver when trying to use framebuffer or vesa to start X.

* Tue Oct 03 2006 Chris Lumens  <clumens@redhat.com> 0.36-1
- Don't make problems importing pyrandr fatal.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.35-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Adam Jackson <ajackson@redhat.com> 0.35-1
- Fix resolution comparison to, uh, work.
- Properly write out Display subsections so the resolution selector works again
- Require newer pyxf86config

* Wed Sep 13 2006 Adam Jackson <ajackson@redhat.com> 0.34-1
- Add general RANDR awareness to mode list construction and validation.
- Generalize forceVesa to forceDriver.

* Mon Sep 11 2006 Chris Lumens <clumens@redhat.com> 0.33-1
- Do a better job about detecting X server failures (#205874).

* Fri Aug 25 2006 Jeremy Katz <katzj@redhat.com> - 0.32-1
- Probe all buses for video cards
- Only do PCI bits for PCI video cards
- Another place to fix the default depth

* Wed Aug 23 2006 Adam Jackson <ajackson@redhat.com> 0.31-1
- Default depth of 24.

* Mon Aug 14 2006 Adam Jackson <ajackson@redhat.com> 0.30-1
- Bump.

* Mon Aug 14 2006 Adam Jackson <ajackson@redhat.com> 0.29-1
- Don't emit a Load "synaptics" directive, it's wrong.

* Mon Aug 07 2006 Chris Lumens <clumens@redhat.com> 0.28-1
- Fixes to init_from_xconfig for system-config-display.
- Close X server stdout and stderr as having two log files is confusing.

* Tue Aug 01 2006 Chris Lumens <clumens@redhat.com> 0.27-1
- Don't traceback if there's no module list.
- Return default strings if monitor or video card names are None.
- Handle starting up an XServer object with an existing conf file.

* Tue Aug 01 2006 Chris Lumens <clumens@redhat.com> 0.26-1
- Remove video card ddc probing (notting).
- Remove monitor ddc probing.

* Fri Jul 28 2006 Chris Lumens <clumens@redhat.com> 0.25-1
- Convert x startup code into a class, simplifying startup API.
- Restore call to xStartedCB so mini-wm gets run under anaconda.
- Simplify looping and waiting in startup code.

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 0.24-2
- Set a fontpath that's more reasonable for anaconda/firstboot/s-c-display

* Tue Jul 25 2006 Chris Lumens <clumens@redhat.com> 0.24-1
- Add -extension Composite to X startup flags to avoid tracebacks.

* Mon Jul 24 2006 Chris Lumens <clumens@redhat.com> 0.23-1
- Remove -terminate flag to fix X startup race condition
  (Charlotte Richardson).
- Fix synaptics detection and config file write out.

* Fri Jul 21 2006 Chris Lumens <clumens@redhat.com> 0.22-1
- Fix traceback on default log file location.
- Restore driver options to config file to fix ppc installs.

* Wed Jul 19 2006 Chris Lumens <clumens@redhat.com> 0.21-1
- Don't traceback if no monitor, screen, or device is found in the
  X config file.

* Tue Jul 18 2006 Chris Lumens <clumens@redhat.com> 0.20-1
- Remove code for config sections that X can figure out for itself.
- Use python randr bindings to change resolution (bindings based on code
  from Michael Sheldon <webmaster at mikeasoft dot com>).
- rhpxl is now native

* Tue Jun 13 2006 Jesse Keating <jkeating@redhat.com> 0.19-1.1
- Enable build on ppc64

* Tue Apr 04 2006 Chris Lumens <clumens@redhat.com> 0.19-1 
- Remove obsolete functions in mouse.py.
- Create a new Modes class.

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0.18-1
- allow forcing vesa (#184015)

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.17-1
- fix braindead i810 (#182300)

* Wed Feb 22 2006 Chris Lumens <clumens@redhat.com> 0.16-1
- Only put one non-vesa card in front of the list (#182016).
- Provide a fixed list of supported resolutions for the SGI 1600SW (#115679).

* Wed Feb 15 2006 Bill Nottingham <notting@redhat.com> 0.15-1
- order non-vesa videocards before vesa (#176978)

* Wed Feb 08 2006 Chris Lumens <clumens@redhat.com> 0.14-1
- Remove modes data since this is now in the X server package.

* Wed Feb 01 2006 Chris Lumens <clumens@redhat.com> 0.13-1
- Add aspect ratio patch from Jef Spaleta <jspaleta AT gmail.com> (#158143).

* Tue Jan 24 2006 Chris Lumens <clumens@redhat.com> 0.12-1
- Protect against an empty list of probed mice (#178515).

* Wed Jan 18 2006 Chris Lumens <clumens@redhat.com> 0.11-1
- No ddcprobe output for mice, or for monitors unless on i386 or ppc.

* Wed Jan 11 2006 Peter Jones <pjones@redhat.com> 0.10-1
- If we're on a Mac and can't get DDC/EDID, and our resolution is tiny,
  force 1024x768.

* Wed Dec 21 2005 Chris Lumens <clumens@redhat.com> 0.9-1
- Don't use rhpl.log anymore.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Chris Lumens <clumens@redhat.com> 0.8-1
- Attempt to set hsync and vsync from the config file if probing fails
  (Maxim Dzumanenko - #154172).

* Mon Nov 21 2005 Bill Nottingham <notting@redhat.com> - 0.7-1
- fix rhpl.arch.getBaseArch() vs rhpl.getArch() confusion

* Tue Nov 15 2005 Chris Lumens <clumens@redhat.com> 0.6
- Remove xhwstate from path on object creation (#173229).

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.2-1
- drivers now end in .so, not .o

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.1-1
- unscaled bitmap fonts fixed in libXfont so change our fontpaths back

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.5-1
- update for modular X

* Thu Oct 13 2005 Chris Lumens <clumens@redhat.com> 0.4-2
- Correct python lib directory on 64-bit archs (#170624).

* Wed Oct 12 2005 Chris Lumens <clumens@redhat.com> 0.4-1
- Correct where we look for data files (#170505).
- Translate in rhpxl domain instead of rhpl domain.
- Correct __init__ to import everything.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.3-1
- Moved data files and ddcprobe here from rhpl.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.2-1
- Fix import of simpleconfig.
- Remove references to X sections of rhpl that rhpxl contains.

* Fri Oct 07 2005 Chris Lumens <clumens@redhat.com> 0.1-2
- Fix broken dependancies on platforms with no pyxf86config.

* Thu Oct 06 2005 Chris Lumens <clumens@redhat.com> 0.1-1
- Initial import from rhpl.
